--- old/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:35:03.790581727 -0500
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:35:03.794383930 -0500
@@ -94,7 +94,6 @@
 static int	segkp_load(struct hat *hat, struct seg *seg, caddr_t vaddr,
 			size_t len, struct segkp_data *kpd, uint_t flags);
 static struct	segkp_data *segkp_find(struct seg *seg, caddr_t vaddr);
-static int	segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
 
 /*
  * Lock used to protect the hash table(s) and caches.
@@ -163,7 +162,6 @@
 	.dump		= segkp_dump,
 	.pagelock	= segkp_pagelock,
 	.setpagesize	= SEGKP_BADOP(int),
-	.getmemid	= segkp_getmemid,
 };
 
 
@@ -1393,13 +1391,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp)
-{
-	return (ENODEV);
-}
-
 #include <sys/mem_config.h>
 
 /*ARGSUSED*/
--- old/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:35:03.932967289 -0500
+++ new/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:35:03.936937409 -0500
@@ -3672,13 +3672,6 @@
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (EFAULT);
 	}
-	/*
-	 * catch old drivers which may not support getmemid
-	 */
-	if (seg->s_ops->getmemid == NULL) {
-		AS_LOCK_EXIT(as, &as->a_lock);
-		return (ENODEV);
-	}
 
 	sts = segop_getmemid(seg, addr, memidp);
 
--- old/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:35:04.125876194 -0500
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:35:04.130062657 -0500
@@ -1983,6 +1983,9 @@
 int
 segop_getmemid(struct seg *seg, caddr_t addr, memid_t *mp)
 {
+	if (seg->s_ops->getmemid == NULL)
+		return (ENODEV);
+
 	return (seg->s_ops->getmemid(seg, addr, mp));
 }
 
--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-24 09:35:04.367016962 -0500
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-24 09:35:04.370678412 -0500
@@ -78,7 +78,6 @@
 		    struct page ***ppp, enum lock_type type, enum seg_rw rw);
 static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
 		    uint_t szc);
-static int	segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
 
 
 struct seg_ops segnf_ops = {
@@ -106,7 +105,6 @@
 	.dump		= segnf_dump,
 	.pagelock	= segnf_pagelock,
 	.setpagesize	= segnf_setpagesize,
-	.getmemid	= segnf_getmemid,
 };
 
 /*
@@ -474,10 +472,3 @@
 {
 	return (ENOTSUP);
 }
-
-/*ARGSUSED*/
-static int
-segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp)
-{
-	return (ENODEV);
-}
